# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(DateTime/Format/Epoch.pm) perl(DateTime/Format/RFC3339.pm) perl(Dist/Data.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(IO/File.pm) perl(IO/Zlib.pm) perl(Moo.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(File/Spec/Native.pm)
# END SourceDeps(oneline)
%define module_version 0.010
%define module_name CPAN-Repository
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.010
Release: alt1
Summary: API to access a directory which can be served as CPAN repository
Group: Development/Perl
License: perl
URL: https://github.com/Getty/p5-cpan-repository

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is made for representing a directory which can be used as own CPAN for modules, so it can be a GreyPAN, a DarkPAN or even can be
used to manage a mirror of real CPAN your own way. Some code parts are taken from CPAN::Dark of CHROMATIC and the CPAN::Mini::Inject manpage of MITHALDU.

=encoding utf8
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1
- initial import by package builder

